Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.i18n
Class ResourceConstants

    java.lang.Object
      org.eclipse.birt.core.i18n.ResourceConstants

    public class ResourceConstants

extends java.lang.Object

Define resource key constants for need be localized resource.

Field Summary
`static java.lang.String` | `CONVERT_FAILS`
`static java.lang.String` | `CREATE_EXTENSION_FAIL`
`static java.lang.String` | `INVALID_EXPRESSION`
`static java.lang.String` | `INVALID_REGULAR_EXPRESSION`
`static java.lang.String` | `INVALID_TYPE`
`static java.lang.String` | `JAVASCRIPT_COMMON_ERROR`
`static java.lang.String` | `JAVASCRIPT_ERROR`

Constructor Summary
`ResourceConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_EXPRESSION

    public static final java.lang.String INVALID_EXPRESSION

See Also:
  Constant Field Values

### INVALID_TYPE

    public static final java.lang.String INVALID_TYPE

See Also:
  Constant Field Values

### CONVERT_FAILS

    public static final java.lang.String CONVERT_FAILS

See Also:
  Constant Field Values

### JAVASCRIPT_ERROR

    public static final java.lang.String JAVASCRIPT_ERROR

See Also:
  Constant Field Values

### JAVASCRIPT_COMMON_ERROR

    public static final java.lang.String JAVASCRIPT_COMMON_ERROR

See Also:
  Constant Field Values

### CREATE_EXTENSION_FAIL

    public static final java.lang.String CREATE_EXTENSION_FAIL

See Also:
  Constant Field Values

### INVALID_REGULAR_EXPRESSION

    public static final java.lang.String INVALID_REGULAR_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### ResourceConstants

    public ResourceConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.